commit: d781a3885407619876ba4686ed76cf6a869e0fa0
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 15:06:35 2020 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 15:29:38 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d781a388
dev-python/isort: bump to 5.6.3, add Python 3.9 support, drop PyPy3
pylama's tests require mypy which doesn't support PyPy3.
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
dev-python/isort/Manifest | 1 +
dev-python/isort/isort-5.6.3.ebuild | 51 +++++++++++++++++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/dev-python/isort/Manifest b/dev-python/isort/Manifest
index b741e9cae55..b716e2ff9e4 100644
--- a/dev-python/isort/Manifest
+++ b/dev-python/isort/Manifest
@@ -1,2 +1,3 @@
DIST isort-4.3.15.tar.gz 67949 BLAKE2B
e78960518928cd74c15733bbc14bf066798ecbcc3e906754c10e352e7b88843451a1d0616d1b450100c77e95974f863951d640c9568277e867fcdfba8f44abdb
SHA512
a5774d4f3c49c978e9043e52681e80011591422e60178d72074142725d9d7fa5065553686fd42bffe9e71b38b2b5bdaaa6f20e32cd8dbe33beb9431c397d78e5
DIST isort-4.3.21_p2.tar.gz 158539 BLAKE2B
316703ca754c939e4af0db4a1060fb13a5164797a672b3faeb585a81fa0c86453fb0f1953b789661588cd0f04267a28837d46a88093a838391f752afa43e9f8b
SHA512
fc2aa00c87196864864d2516b8be7acdedcf40d71d1931510e4b878dbd2b6da0b579661b50221f03f4aa5560c8bf23d5e1e10a2694d2b741ca09a92e40a4c687
+DIST isort-5.6.3.tar.gz 161712 BLAKE2B
ffbc2977016807d2bd5b1644377efad021af2ad27fd0e27feae1e5dfdfd112c7b5bf4b296ebf47ea6bfcbfe7f56cf3bfa8e1e7cf03963935660e678223397afb
SHA512
fa2d9be306d03fc802aab3915bee2c41f4fe0c28353d9d99aa6604755e1602027cd81afca92b4302f80497c88a9dcb2701ec02ca55a5f9a2866669a68368d957
diff --git a/dev-python/isort/isort-5.6.3.ebuild
b/dev-python/isort/isort-5.6.3.ebuild
new file mode 100644
index 00000000000..b8b55a23b14
--- /dev/null
+++ b/dev-python/isort/isort-5.6.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A python utility/library to sort imports"
+HOMEPAGE="https://pypi.org/project/isort/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pylama[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # Some tests run the "isort" command
+ distutils_install_for_testing
+ local skipped_tests=(
+ # Fails without -s, run it separately to avoid unnecessary
output
+ tests/unit/test_importable.py
+ # Excluded from upstream's test script
+ tests/unit/test_deprecated_finders.py
+ # Require "example_isort_formatting_plugin", we're not going
+ # to add an example package just to run a few tests
+ tests/unit/test_literal.py::test_value_assignment_list
+
tests/unit/test_ticketed_features.py::test_isort_supports_formatting_plugins_issue_1353
+
tests/unit/test_ticketed_features.py::test_isort_literals_issue_1358
+ # Same here: requires "example_shared_isort_profile"
+
tests/unit/test_ticketed_features.py::test_isort_supports_shared_profiles_issue_970
+ )
+ pytest -s tests/unit/test_importable.py \
+ || die "Tests failed with ${EPYTHON}"
+ pytest -vv tests/unit ${skipped_tests[@]/#/--deselect } \
+ || die "Tests failed with ${EPYTHON}"
+}